aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/protobuf/php/generate_descriptor_protos.sh
diff options
context:
space:
mode:
authorGravatar Jakob Buchgraber <buchgr@google.com>2017-04-12 14:30:38 +0200
committerGravatar Jakob Buchgraber <buchgr@google.com>2017-04-14 14:06:29 +0200
commit5235d06159ba6fee412bee261ea7867d061252b0 (patch)
treed502ed5c8d15f750c8ca1eccc2cb929862dd0947 /third_party/protobuf/php/generate_descriptor_protos.sh
parent5bf9e0f225b4c1636e24782ef9043e6201a65188 (diff)
protobuf: Update protobuf to @laszlocsomor's master at commit 421d909.
Update protobuf to @laszlocsomor's fork of protobuf. This is essentially the development version of protobuf 3.2.0 and windows specific fixes from laszlo. Those fixes will be merged into protobuf soon: https://github.com/google/protobuf/pull/2969). For instructions on how to update protobuf for bazel see README.bazel.md. Change-Id: Ic1daafe30270cb6bcc6231e6c94fb670af0475e7
Diffstat (limited to 'third_party/protobuf/php/generate_descriptor_protos.sh')
-rwxr-xr-xthird_party/protobuf/php/generate_descriptor_protos.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/third_party/protobuf/php/generate_descriptor_protos.sh b/third_party/protobuf/php/generate_descriptor_protos.sh
new file mode 100755
index 0000000000..372ad69c6c
--- /dev/null
+++ b/third_party/protobuf/php/generate_descriptor_protos.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+# Run this script to regenerate desriptor protos after the protocol compiler
+# changes.
+
+if test ! -e src/google/protobuf/stubs/common.h; then
+ cat >&2 << __EOF__
+Could not find source code. Make sure you are running this script from the
+root of the distribution tree.
+__EOF__
+ exit 1
+fi
+
+pushd src
+./protoc --php_out=internal:../php/src google/protobuf/descriptor.proto
+popd